
#pragma once
#ifndef AI_SEARCHLIGHT_HPP
#define AI_SEARCHLIGHT_HPP



namespace MechWarrior4
{
	class CombatAI;
};

namespace MW4AI
{
	class SearchLightController
	{
	  public:
		enum State
		{
			ON,
			OFF,
			UNSPECIFIED
		};

		enum
		{
			STATE_FIRST = ON,
			STATE_LAST = UNSPECIFIED
		};

		SearchLightController(CombatAI& combat_ai);

		void Update();

		void SetState(State state);
		State GetState() const
		{
			return (m_State);
		}

	  private:
		CombatAI& m_CombatAI;
		State m_State;
	};
};



#endif // AI_SEARCHLIGHT_HPP